# Geocoder

#### new Cesium.Geocoder(options)
Widgets/Geocoder/Geocoder.js 45

  A widget for finding addresses and landmarks, and flying the camera to them. Geocoding is performed using the Bing Maps Locations API.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `container` | Element | String |  | The DOM element or ID that will contain the widget.
  `scene` | Scene |  | The Scene instance to use.
  `url` | String | `'https://dev.virtualearth.net'` | optional The base URL of the Bing Maps API.

  `key`

  String

  optional The Bing Maps key for your application, which can be created at https://www.bingmapsportal.com. If this parameter is not provided, `BingMapsApi.defaultKey` is used. If `BingMapsApi.defaultKey` is undefined as well, a message is written to the console reminding you that you must create and supply a Bing Maps key as soon as possible. Please do not deploy an application that uses this widget without creating a separate key for your application.

  `flightDuration` | Number | `1.5` | optional The duration of the camera flight to an entered location, in seconds.

### Members

#### container : Element
Widgets/Geocoder/Geocoder.js 137

  Gets the parent container.

#### viewModel : GeocoderViewModel
Widgets/Geocoder/Geocoder.js 149

  Gets the view model.

### Methods

#### destroy()
Widgets/Geocoder/Geocoder.js 167

  Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/Geocoder/Geocoder.js 159

  ##### Returns:

  true if the object has been destroyed, false otherwise.